local LibStub = LibStub
local AceAddon = LibStub("AceAddon-3.0")
local AceLocale = LibStub("AceLocale-3.0")
local AceDBOptions = LibStub("AceDBOptions-3.0")
local AceConfig = LibStub("AceConfig-3.0")
local AceConfigDialog = LibStub("AceConfigDialog-3.0")
local ControlPanel = AceAddon:GetAddon("ControlPanel")
local ControlPanel_Options = AceAddon:GetAddon("ControlPanel_Options")
local L = AceLocale:GetLocale("ControlPanel_Options")
local get_cvar_bool = ControlPanel_Options.get_cvar_bool
local string_format = string.format

local order = 0
local function get_order()
	local temp = order
	order = order +1
	return temp
end

local Network =
{
	name = L["Network"],
	type = "group",
	args =
	{
		disableServerNagle = 
		{
			order = get_order(),
			name = L["Optimize Network for Speed"],
			desc = L["Enable this option to optimize network usage for speed in order to decrease lag.\nThis will increase your bandwidth usage, and may cause problems in some environments. Disabling this option may help resolve certain disconnection issues."],
			type = "toggle",
			set = function(info,val)
				ControlPanel:SetCVar("disableServerNagle",val)
			end,
			get = function(info)
				return ControlPanel:GetCVarBool("disableServerNagle")
			end,
			width = "full",
		},
		useIPv6 =
		{
			order = get_order(),
			name = L["Enable IPv6 when available"],
			desc = L["Enable the use of IPv6, the technology behind the next-generation Internet.\nRequires IPv6 connectivity to the Internet. Checking this box without IPv6 connectivity may prevent you from playing WoW."],
			type = "toggle",
			set = function(info,val)
				ControlPanel:SetCVar("useIPv6",val)
			end,
			get = function(info)
				return ControlPanel:GetCVarBool("useIPv6")
			end,
			width = "full",
		},
		advancedCombatLogging =
		{
			order = get_order(),
			name = L["Advanced Combat Logging"],
			desc = L["Enable extra logging data when writing the combat log to a text file.\nThis may cause additional network lag when using the \"combatlog\" chat command."].."\n\n"..L["ControlPanel won't manage this option."],
			type = "toggle",
			set = function(info,val)
				SetCVar("advancedCombatLogging",val)
			end,
			get = function(info)
				return get_cvar_bool("advancedCombatLogging")
			end,
			width = "full",
		},
	}
}

ControlPanel_Options:push("Network",Network)